INTERFACE
SUBROUTINE CA_PROFPERT(KSTEP,KLON,KLEV,KIDIA,KFDIA,PTP,PQP,PTP_CA,PQP_CA,PAPRSF,PCUCONVCA,PNLCONVCA,KMODE)
 USE PARKIND1 ,ONLY : JPIM ,JPRB
 INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
 INTEGER(KIND=JPIM),INTENT(IN) :: KLON
 INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
 INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
 INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
 REAL(KIND=JPRB),INTENT(INOUT) :: PTP(KLON,KLEV)
 REAL(KIND=JPRB),INTENT(INOUT) :: PQP(KLON,KLEV)
 REAL(KIND=JPRB),INTENT(INOUT) :: PTP_CA(KLON,KLEV)
 REAL(KIND=JPRB),INTENT(INOUT) :: PQP_CA(KLON,KLEV)
 REAL(KIND=JPRB),INTENT(IN) :: PAPRSF(KLON,KLEV)
 REAL(KIND=JPRB),INTENT(IN) :: PCUCONVCA(KLON)
 REAL(KIND=JPRB),INTENT(IN) :: PNLCONVCA(KLON)
 INTEGER(KIND=JPIM),INTENT(IN) :: KMODE
END SUBROUTINE CA_PROFPERT
END INTERFACE
